rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 179739059 10 10 10 10 5 20" "tests\03" 3
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 845642349 10 10 10 10 5 20" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 252473559 10 10 10 10 5 20" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 748674543 20 30 15 10 5 20" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 429364423 50 50 10 20 5 10" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 956742346 100 100 10 20 10 20" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 315257356 200 200 10 10 5 40" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 496762349 200 200 10 10 5 40" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 23782476 200 200 10 10 5 40" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 123674573 200 200 10 10 10 100" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 104156765 200 200 10 10 10 100" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 385716972 200 200 10 10 10 100" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 447585611 200 200 10 10 8 50" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 328770793 200 200 10 10 8 50" "tests\16" 16
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 52901214 200 200 10 10 8 50" "tests\17" 17
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 942135326 2000 2000 50 10 5 60" "tests\18" 18
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 283452374 2000 2000 100 10 5 60" "tests\19" 19
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 427435327 2000 2000 100 10 10 1000" "tests\20" 20
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 673453636 2000 2000 50 10 5 60" "tests\21" 21
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 783544534 2000 2000 100 10 5 60" "tests\22" 22
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 634573556 2000 2000 100 10 10 1000" "tests\23" 23
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 591495410 2000 2000 500000 2000 10000 10000" "tests\24" 24
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 309019696 500 500 50 10 5 60" "tests\25" 25
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 285167520 500 500 50 10 5 60" "tests\26" 26
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 655517240 500 500 50 10 5 60" "tests\27" 27
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 762293918 500 500 100 10 5 60" "tests\28" 28
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 866002524 500 500 100 10 5 60" "tests\29" 29
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 500097846 500 500 100 10 5 60" "tests\30" 30
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 731356747 500 500 100 10 10 100" "tests\31" 31
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 969802590 500 500 100 10 10 100" "tests\32" 32
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 324274891 500 500 100 10 10 100" "tests\33" 33
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 742715226 500 500 100 10 10 1000" "tests\34" 34
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 561097874 500 500 100 10 10 1000" "tests\35" 35
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 155014502 500 500 100 10 10 1000" "tests\36" 36
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 205353236 500 500 50 10 5 60" "tests\37" 37
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 136784530 500 500 50 10 5 60" "tests\38" 38
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 126734654 500 500 50 10 5 60" "tests\39" 39
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 956234248 500 500 100 10 5 60" "tests\40" 40
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 327425234 500 500 100 10 5 60" "tests\41" 41
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 236832356 500 500 100 10 5 60" "tests\42" 42
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 735685613 500 500 100 10 10 100" "tests\43" 43
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 169454173 500 500 100 10 10 100" "tests\44" 44
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 845152361 500 500 100 10 10 100" "tests\45" 45
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 234734556 500 500 100 10 10 1000" "tests\46" 46
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 734551574 500 500 100 10 10 1000" "tests\47" 47
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 362872402 500 500 100 10 10 1000" "tests\48" 48
call scripts\gen-answer.bat tests\01 tests\01.a
call scripts\gen-answer.bat tests\02 tests\02.a
call scripts\gen-answer.bat tests\03 tests\03.a
call scripts\gen-answer.bat tests\04 tests\04.a
call scripts\gen-answer.bat tests\05 tests\05.a
call scripts\gen-answer.bat tests\06 tests\06.a
call scripts\gen-answer.bat tests\07 tests\07.a
call scripts\gen-answer.bat tests\08 tests\08.a
call scripts\gen-answer.bat tests\09 tests\09.a
call scripts\gen-answer.bat tests\10 tests\10.a
call scripts\gen-answer.bat tests\11 tests\11.a
call scripts\gen-answer.bat tests\12 tests\12.a
call scripts\gen-answer.bat tests\13 tests\13.a
call scripts\gen-answer.bat tests\14 tests\14.a
call scripts\gen-answer.bat tests\15 tests\15.a
call scripts\gen-answer.bat tests\16 tests\16.a
call scripts\gen-answer.bat tests\17 tests\17.a
call scripts\gen-answer.bat tests\18 tests\18.a
call scripts\gen-answer.bat tests\19 tests\19.a
call scripts\gen-answer.bat tests\20 tests\20.a
call scripts\gen-answer.bat tests\21 tests\21.a
call scripts\gen-answer.bat tests\22 tests\22.a
call scripts\gen-answer.bat tests\23 tests\23.a
call scripts\gen-answer.bat tests\24 tests\24.a
call scripts\gen-answer.bat tests\25 tests\25.a
call scripts\gen-answer.bat tests\26 tests\26.a
call scripts\gen-answer.bat tests\27 tests\27.a
call scripts\gen-answer.bat tests\28 tests\28.a
call scripts\gen-answer.bat tests\29 tests\29.a
call scripts\gen-answer.bat tests\30 tests\30.a
call scripts\gen-answer.bat tests\31 tests\31.a
call scripts\gen-answer.bat tests\32 tests\32.a
call scripts\gen-answer.bat tests\33 tests\33.a
call scripts\gen-answer.bat tests\34 tests\34.a
call scripts\gen-answer.bat tests\35 tests\35.a
call scripts\gen-answer.bat tests\36 tests\36.a
call scripts\gen-answer.bat tests\37 tests\37.a
call scripts\gen-answer.bat tests\38 tests\38.a
call scripts\gen-answer.bat tests\39 tests\39.a
call scripts\gen-answer.bat tests\40 tests\40.a
call scripts\gen-answer.bat tests\41 tests\41.a
call scripts\gen-answer.bat tests\42 tests\42.a
call scripts\gen-answer.bat tests\43 tests\43.a
call scripts\gen-answer.bat tests\44 tests\44.a
call scripts\gen-answer.bat tests\45 tests\45.a
call scripts\gen-answer.bat tests\46 tests\46.a
call scripts\gen-answer.bat tests\47 tests\47.a
call scripts\gen-answer.bat tests\48 tests\48.a

